Page MenuHomePhabricator

Remove uses of git.wikimedia.org from MediaWiki
Closed, ResolvedPublic

Description

git.wikimedia.org is being deprecated in favor of Diffusion. We should start moving away from using old gitblit-style urls in MW core especially.

(Special:Version is mostly related to scap, so tracked in T114074: Change commit links in Special:Version to link to diffusion)

Event Timeline

demon created this task.Nov 10 2015, 7:30 PM
demon raised the priority of this task from to Normal.
demon updated the task description. (Show Details)
demon added a subscriber: demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 10 2015, 7:30 PM
greg added a subscriber: greg.Dec 2 2015, 6:32 PM

Anything other than Special:Version we should change?

demon added a comment.Dec 2 2015, 6:58 PM

Anything other than Special:Version we should change?

I think there's a few other stuff (mostly comments and the like). From my local install:

chad@notsexy /a/vag/mediawiki (master)$ ack git.wikimedia.org
extensions/LocalisationUpdate/LocalisationUpdate.i18n.php
4: * https://git.wikimedia.org/blob/mediawiki%2Fcore.git/HEAD/maintenance%2FgenerateJsonI18n.php

extensions/PdfHandler/tests/browser/features/pdf.feature
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

extensions/PdfHandler/tests/browser/features/step_definitions/pdf_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

extensions/PdfHandler/tests/browser/features/support/env.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

extensions/PdfHandler/tests/browser/features/support/pages/random_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

extensions/README
15:    https://git.wikimedia.org/project/mediawiki

includes/DefaultSettings.php
5682: * https://git.wikimedia.org/tree/operations%2Fsoftware.git/master/udpprofile
6074:		'https://git.wikimedia.org/tree/%r/%H',
6076:		'https://git.wikimedia.org/tree/%r/%H',

languages/Language.php
170:	 * https://git.wikimedia.org/summary/unicodejs.git .

maintenance/resources/update-oojs-ui.sh
67: https://git.wikimedia.org/blob/oojs%2Fui.git/v$OOJSUI_VERSION/History.md

maintenance/resources/update-oojs.sh
52: https://git.wikimedia.org/blob/oojs%2Fcore.git/v$OOJS_VERSION/History.md

resources/lib/jquery.i18n/src/jquery.i18n.emitter.bidi.js
27:	 * https://git.wikimedia.org/summary/unicodejs.git .

skins/README
15:    git clone https://git.wikimedia.org/git/mediawiki/skins/Vector.git
19:    https://git.wikimedia.org/project/mediawiki

skins/Vector/composer.json
23:		"source": "https://git.wikimedia.org/summary/mediawiki%2Fskins%2FVector",

tests/browser/features/step_definitions/create_account_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/step_definitions/file_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/step_definitions/login_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/step_definitions/preferences_appearance_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/step_definitions/preferences_editing_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/step_definitions/preferences_user_profile_steps.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/create_account_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/file_does_not_exist_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/preferences_appearance_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/preferences_editing_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/preferences_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

tests/browser/features/support/pages/preferences_user_profile_page.rb
4:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/LICENSE. No part of
10:# https://git.wikimedia.org/blob/qa%2Fbrowsertests/HEAD/CREDITS

vendor/oojs/oojs-ui/package.json
12:    "url": "https://git.wikimedia.org/git/oojs/ui.git"

vendor/oojs/oojs-ui/README.md
18:1. Clone the repo, `git clone https://git.wikimedia.org/git/oojs/ui.git`.
greg added a comment.Dec 2 2015, 7:00 PM

I think there's a few other stuff (mostly comments and the like).

Comments are taken care of by the redirects, imo.

But these look at least semi-important:

From my local install:

chad@notsexy /a/vag/mediawiki (master)$ ack git.wikimedia.org
extensions/LocalisationUpdate/LocalisationUpdate.i18n.php
4: * https://git.wikimedia.org/blob/mediawiki%2Fcore.git/HEAD/maintenance%2FgenerateJsonI18n.php
extensions/README
15:    https://git.wikimedia.org/project/mediawiki
includes/DefaultSettings.php
5682: * https://git.wikimedia.org/tree/operations%2Fsoftware.git/master/udpprofile
6074:		'https://git.wikimedia.org/tree/%r/%H',
6076:		'https://git.wikimedia.org/tree/%r/%H',
languages/Language.php
170:	 * https://git.wikimedia.org/summary/unicodejs.git .
maintenance/resources/update-oojs-ui.sh
67: https://git.wikimedia.org/blob/oojs%2Fui.git/v$OOJSUI_VERSION/History.md
maintenance/resources/update-oojs.sh
52: https://git.wikimedia.org/blob/oojs%2Fcore.git/v$OOJS_VERSION/History.md
resources/lib/jquery.i18n/src/jquery.i18n.emitter.bidi.js
27:	 * https://git.wikimedia.org/summary/unicodejs.git .
skins/README
15:    git clone https://git.wikimedia.org/git/mediawiki/skins/Vector.git
19:    https://git.wikimedia.org/project/mediawiki
skins/Vector/composer.json
23:		"source": "https://git.wikimedia.org/summary/mediawiki%2Fskins%2FVector",
vendor/oojs/oojs-ui/package.json
12:    "url": "https://git.wikimedia.org/git/oojs/ui.git"
vendor/oojs/oojs-ui/README.md
18:1. Clone the repo, `git clone https://git.wikimedia.org/git/oojs/ui.git`.
greg updated the task description. (Show Details)Dec 2 2015, 7:02 PM
greg set Security to None.
demon added a comment.Dec 2 2015, 7:02 PM

The *.rb comments look like they could get fixed in qa/browsertests and would be fine for any future creations of those files.

greg moved this task from To Triage to Backlog on the Gitblit-Deprecate board.Dec 2 2015, 7:03 PM
demon closed this task as Resolved.May 2 2016, 4:21 PM
demon claimed this task.
chad@notsexy /a/vag/mediawiki (master)$ ack 'git.wikimedia.org'
vendor/oojs/oojs-ui/package.json
12:    "url": "https://git.wikimedia.org/git/oojs/ui.git"

vendor/oojs/oojs-ui/README.md
18:1. Clone the repo and move into it, `$ git clone https://git.wikimedia.org/git/oojs/ui.git oojs-ui && cd oojs-ui`.

Yay that's basically everything.

greg moved this task from Backlog to Done on the Gitblit-Deprecate board.Jun 9 2016, 6:48 PM